<?xml version="1.0" encoding="UTF-8"?>
<!--
 This module is part of NetBeans and is open-source.
 You can see http://www.netbeans.org/about/legal/index.html for details.

 You may use the binary however you like. The source file license is:

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.

Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.

Oracle and Java are registered trademarks of Oracle and/or its affiliates.
Other names may be trademarks of their respective owners.


The contents of this file are subject to the terms of either the GNU
General Public License Version 2 only ("GPL") or the Common
Development and Distribution License("CDDL") (collectively, the
"License"). You may not use this file except in compliance with the
License. You can obtain a copy of the License at
http://www.netbeans.org/cddl-gplv2.html
or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
specific language governing permissions and limitations under the
License.  When distributing the software, include this License Header
Notice in each file and include the License file at
nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
particular file as subject to the "Classpath" exception as provided
by Sun in the GPL Version 2 section of the License file that
accompanied this code. If applicable, add the following below the
License Header, with the fields enclosed by brackets [] replaced by
your own identifying information:
"Portions Copyrighted [year] [name of copyright owner]"

Contributor(s):

 The Original Software is NetBeans. The Initial Developer of the Original
 Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
 Microsystems, Inc. All Rights Reserved.
-->
<!DOCTYPE filesystem PUBLIC "-//NetBeans//DTD Filesystem 1.1//EN" "http://www.netbeans.org/dtds/filesystem-1_1.dtd">
<filesystem>
    <folder name="Actions">
        <folder name="NativeProject">
            <file name="org.netbeans.modules.cnd.modelui.switcher.CodeAssistanceSubmenuAction.instance">
                <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.modelui.switcher.CodeAssistanceSubmenuAction"/>
            </file>
        </folder>
        <folder name="NativeProjectCodeAssistance">
            <file name="SwitchProjectAction.instance">
                <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.modelui.switcher.SwitchProjectAction"/>
            </file>
            <file name="ReparseProjectAction.instance">
                <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.modelui.actions.ReparseProjectAction"/>
            </file>
            <file name="CodeModelDiagnosticAction.instance">
                <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.modelui.actions.CodeModelDiagnosticAction"/>
            </file>            
            <file name="TestProjectAllReferencesPerformanceAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getAllReferencesPerformanceAction"/>
            </file>
            <file name="TestProjectAllReferencesAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getAllReferencesAction"/>
            </file>
            <file name="TestProjectDirectUsageReferencesAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getDirectUsageReferencesAction"/>
            </file>
            <file name="TestProjectIndexUsageReferencesAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getIndexReferencesAction"/>
            </file>
            <file name="TestProjectSmartCompletionAnalyzerAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getSmartCompletionAnalyzerAction"/>
            </file>
            <file name="TestReparseAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getTestReparseAction"/>
            </file>
            <file name="TestErrorHighlightingAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestErrorHighlightingAction.getInstance"/>
            </file>
            <file name="TestRepositoryDistributionAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestRepositoryDistributionAction.getInstance"/>
            </file>
            <file name="TraceAPTDiagnosticAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TraceAPTDiagnosticAction.getInstance"/>
            </file>
            <file name="TestFileContainerAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getFileContainerAction"/>
            </file>
            <file name="TestGraphContainerAction.instance">
                <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.modelui.trace.TestProjectReferencesAction.getGraphContainerAction"/>
            </file>
            <file name="SwitchIndexAction.instance">
                <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.modelui.trace.SwitchIndexAction"/>
            </file>
        </folder>
    </folder>
    <folder name="Projects">
        <folder name="org-netbeans-modules-cnd-makeproject">
            <folder name="Actions">
                <file name="org.netbeans.modules.cnd.modelui.switcher.CodeAssistanceSubmenuAction.shadow">
                    <attr name="originalFile" stringvalue="Actions/NativeProject/org.netbeans.modules.cnd.modelui.switcher.CodeAssistanceSubmenuAction.instance"/>
                    <attr name="position" intvalue="100"/> 
                </file>
            </folder>
        </folder>
    </folder>
    <folder name="NativeProjects">
        <folder name="CodeAssistanceActions">
            <file name="org.netbeans.modules.cnd.modelui.switcher.SwitchProjectAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/SwitchProjectAction.instance"/>
                <attr name="position" intvalue="100"/>
            </file>
            <file name="org.netbeans.modules.cnd.modelui.actions.ReparseProjectAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/ReparseProjectAction.instance"/>
                <attr name="position" intvalue="150"/>
            </file>
            <file name="TestProjectAllReferencesPerformanceAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestProjectAllReferencesPerformanceAction.instance"/>
                <attr name="position" intvalue="1200"/>
            </file>
            <file name="TestProjectAllReferencesAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestProjectAllReferencesPerformanceAction.instance"/>
                <attr name="position" intvalue="1300"/>
            </file>
            <file name="TestProjectDirectUsageReferencesAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestProjectDirectUsageReferencesAction.instance"/>
                <attr name="position" intvalue="1400"/>
            </file>
            <file name="TestProjectSmartCompletionAnalyzerAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestProjectSmartCompletionAnalyzerAction.instance"/>
                <attr name="position" intvalue="1500"/>
            </file>
            <file name="TestReparseAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestReparseAction.instance"/>
                <attr name="position" intvalue="1600"/>
            </file>
            <file name="TestErrorHighlightingAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestErrorHighlightingAction.instance"/>
                <attr name="position" intvalue="1700"/>
            </file>
            <file name="TestRepositoryDistributionAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestRepositoryDistributionAction.instance"/>
                <attr name="position" intvalue="1800"/>
            </file>
            <file name="TraceAPTDiagnosticAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TraceAPTDiagnosticAction.instance"/>
                <attr name="position" intvalue="1820"/>
            </file>
            <file name="TestFileContainerAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestFileContainerAction.instance"/>
                <attr name="position" intvalue="1900"/>
            </file>
            <file name="TestGraphContainerAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestGraphContainerAction.instance"/>
                <attr name="position" intvalue="2000"/>
            </file>
            <file name="CodeModelDiagnosticAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/CodeModelDiagnosticAction.instance"/>
                <attr name="position" intvalue="3000"/>
            </file>       
            <file name="org.netbeans.modules.cnd.modelui.switcher.SwitchIndexAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/SwitchIndexAction.instance"/>
                <attr name="position" intvalue="3100"/>
            </file>            
            <file name="TestProjectIndexUsageReferencesAction.shadow">
                <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/TestProjectIndexUsageReferencesAction.instance"/>
                <attr name="position" intvalue="3200"/>
            </file>
        </folder>
    </folder>
    <folder name="Shortcuts">
        <file name="CSA-M.shadow">
            <attr name="originalFile" stringvalue="Actions/NativeProjectCodeAssistance/CodeModelDiagnosticAction.instance"/>
        </file>
    </folder>    
</filesystem>
